<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\ECharts;

/**
 * Enum KategoriaVozidlaChartEnum
 *
 * @package Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\ECharts
 * @method static self M1_N1()
 * @method static self M2_M3()
 * @method static self N2_N3()
 * @method static self T()
 */
enum KategoriaVozidlaChartEnum: string
{
    case M1_N1 = 'M1_N1';
    case M2_M3 = 'M2_M3';
    case N2_N3 = 'N2_N3';
    case T = 'T';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::M1_N1 => 'M1,N1',
            self::M2_M3 => 'M2,M3',
            self::N2_N3 => 'N2,N3',
            self::T => 'T',
        };
    }

    /**
     * @param \Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\ECharts\KategoriaVozidlaChartEnum $other
     *
     * @return bool
     */
    public function equal(self $other): bool
    {
        return $this === $other;
    }
}
